Index Page dpr_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       SpiceDouble dpr_c ( void )
#### Abstract
       Return the number of degrees per radian.
#### Required_Reading
       None.
#### Keywords
       CONSTANTS
#### Brief_I/O
       The function returns the number of degrees per radian.
#### Detailed_Input
       None.
#### Detailed_Output
       The function returns the number of degrees per radian: 180/pi.
       The value of pi is determined by the ACOS function. That is,

             dpr_c = 180. / acos ( -1. );
#### Parameters
       None.
#### Exceptions
       Error free.
#### Files
       None.
#### Particulars
       When he function is referenced, the value is computed
       as shown above.
#### Examples
       The code fragment below illustrates the use of dpr_c.

          Convert all angles to degrees for output.

                  clock = clock * dpr_c();
                  cone  = cone  * dpr_c();
                  twist = twist * dpr_c();
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       E.D. Wright     (JPL)
       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)
#### Version
       -CSPICE Version 1.0.0, 16-APR-1999 (EDW)
#### Index_Entries
       degrees per radian
#### Link to routine dpr_c source file dpr_c.c

    Wed Jun  9 13:05:21 2010